%bcond_with bootstrap

%global scl_name_base eap
%global scl_name_version 7
%global scl %{scl_name_base}%{scl_name_version}
%global nfsmountable 1

%scl_package %scl

Name:           %scl_name
Version:        1
Release:        10%{?dist}
Summary:        Package that installs %scl
License:        GPLv2+
%{?scl:Requires: %scl_runtime}
BuildRequires:  scl-utils-build

%description
This is the main package for the %scl Software Collection.

%package runtime
Summary:        Package that handles %scl Software Collection
Requires:       scl-utils
%if %without bootstrap
Requires:       %{name}-javapackages-tools
BuildRequires:  %{name}-javapackages-tools
%endif

%description runtime
Package shipping essential scripts to work with the %scl Software Collection.

%package build
Summary:        Package shipping basic build configuration
%{?scl:Requires: %scl_runtime}
Requires:       scl-utils-build

%description build
Package shipping essential configuration macros to build the %scl Software Collection.

%package scldevel
%{?scl:Requires: %scl_runtime}
Summary:        Package shipping development files for %scl

%description scldevel
Package shipping development files, especially useful for development of
packages depending on the %scl Software Collection.

%prep
%setup -q -c -T

%install
%{__rm} -rf %{buildroot}

%scl_install

%{__cat} >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\$MANPATH
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}
EOF

%{__cat} >> %{buildroot}%{_root_sysconfdir}/rpm/macros.%{scl_name_base}-scldevel << EOF
%%scl_%{scl_name_base} %{scl}
%%scl_prefix_%{scl_name_base} %{scl_prefix}
EOF

%{__mkdir_p} %{buildroot}%{_javadir}

%clean
%{__rm} -rf %{buildroot}

%files

%files runtime
%scl_files
%{_javadir}

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%files scldevel
%{_root_sysconfdir}/rpm/macros.%{scl_name_base}-scldevel

%changelog
* Thu Sep 24 2015 David Walluck <dwalluck@redhat.com> 1-10
- fix (B)R

* Thu Sep 24 2015 David Walluck <dwalluck@redhat.com> 1-9
- update (B)R for runtime

* Fri Sep 18 2015 David Walluck <dwalluck@redhat.com> 1-8
- explicitly require scl runtime (bug #1054820)

* Wed Sep 16 2015 David Walluck <dwalluck@redhat.com> 1-7
- rebuild for latest scl-utils

* Wed Sep 16 2015 David Walluck <dwalluck@redhat.com> 1-6
- rebuild for latest scl-utils.el6
- remove jpackage-utils runtime requirement
- add _javadir to runtime package

* Thu Aug 27 2015 David Walluck <dwalluck@redhat.com> 1-5
- rebuild for latest scl-utils

* Thu Aug 13 2015 David Walluck <dwalluck@redhat.com> 1-4
- rearrange macro definitions

* Tue Apr 21 2015 David Walluck <dwalluck@redhat.com> 1-3
- define nfsmountable to 1 in macros file

* Mon Mar 30 2015 David Walluck <dwalluck@redhat.com> 1-2
- fix Requires
- update enable script

* Tue Mar 10 2015 David Walluck <dwalluck@redhat.com> 1-1
- release
